# ContractDoc

## Properties

|Name | Type | Description | Notes|
|------------ | ------------- | ------------- | -------------|
|**kind** | **string** | Is it devdoc or userdoc | [default to undefined]|
|**methods** | [**{ [key: string]: FunctionDoc; }**](FunctionDoc.md) | The description of the contract functions | [default to undefined]|
|**version** | **number** | The version of the contract | [default to undefined]|
|**details** | **string** | A description of the contract | [optional] [default to undefined]|
|**events** | **string** | A description of the contract&#x60;s events | [optional] [default to undefined]|




[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)
